/*
 * MySQLConnection.java
 * Classe derivata da DBMSConnection 
 * per l'interfacciamento con un DBMS MySQL
 */

/*
 * Corso di Basi di Dati 2004/2005
 * Prof. Angelo Chianese, Ing. Vincenzo Moscato
 */

import java.sql.*;

public class MySQLConnection extends DBMSConnection {
    
    private String Ip_Server;
    private String Port;
    private String DB_Service;
    
    MySQLConnection () {
        class_driver= "com.mysql.jdbc.Driver";
        url_connect = "jdbc:mysql://";
    }
   
    void set_conn_parameters (String service, String ip, String user, String pwd, String port) {
        Password=pwd;
        Ip_Server=ip;
        Port=port;
        User=user;
        DB_Service=service;
        url_connect = url_connect + Ip_Server + ":" + port + "/" + DB_Service;
    }
    
    void set_conn_properties() {
        try {
            conn.setAutoCommit(true);
            conn.setTransactionIsolation(Connection.TRANSACTION_READ_COMMITTED);
        }
        catch(java.lang.Exception exc) {
            System.out.println("CONNECTION SETTINGS ERROR " + exc.toString()); 
        }
    }
       
}
